# DESIGN AND OPERATION OF TRAFFIC AND TELECOMMUNICATION NETWORKS
# Ralf Borndoerfer, Fabiob d'Andreagiovanni, Jonad Pulaj
# Freie Universitt Berlin, WS 2015/16
#
# Even degree problem
#
# Run as 'zimpl -D Ut_deg=<k> deg.zpl'.
#
# Edges of an undirected graph are read from file "edges.dat" in format <1s,2s>
#
# <1s> origin city, e.g., "Ah"
# <2s> destination city, e.g., "Ut"
#
# Costs are read from file "cap.dat" in format in format <1s,2s,3n>
#
# <1s> origin city, e.g., "Ah"
# <2s> destination city, e.g., "Ut"
# <3n> cost, e.g., 18431
#
# List of cities
#
# Ah Arnhem
# Apd Apeldoorn
# Asd Amsterdam CS
# Asdz Amsterdam Zuid WTC
# Asn Assen
# Bd Breda
# Ehv Eindhoven
# Gn Groningen
# Gv Den Haag HS
# Gvc Den Haag CS
# Hgl Hengelo
# Hr Heerenveen
# Lls Lelystad Centrum
# Lw Leeuwarden
# Mt Maastricht
# Odzg Oldenzaal Grens
# Rsdg Rosendaal Grens
# Rtd Rotterdam CS
# Shl Schiphol
# Std Sittard
# Ut Utrecht CS
# Zl Zwolle
# Zvg Zevenaar Grens
#
# Optimal solution
#
# Ut_deg	obj
# 0			inf
# 2			235641
# 4			216148	
# 6			271468
# 8			336718

# edges (undirected!)
set E := { read "edges.dat" as "<1s,2s>" comment "#" };

# costs
param c[E] := read "cap.dat" as "<1s,2s> 3n" comment "#";

# nodes
set V := proj(E,<1>) union proj(E,<2>);

# Utrecht
param Ut_deg := 2;

# variables

# objective

# constraints

